Package org.eclipse.emf.cdo.common.commit

# Interface CDOCommitInfoHandler

All Known Subinterfaces:
  `CDOCommitHistory`, `CDOObjectHistory`, `CDOReplicationContext`, `CDOViewCommitInfoListener`, `InternalFailoverParticipant`, `InternalSynchronizableRepository`

All Known Implementing Classes:
  `AsyncCommitInfoHandler`, `BinaryCommitInfoLog`, `TextCommitInfoLog`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface CDOCommitInfoHandler
A call-back interface that indicates the ability to handle `commit infos` that are passed from other entities.

Since:
  3.0
Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`void`
`handleCommitInfo(CDOCommitInfo commitInfo)`

## Method Details

### handleCommitInfo

void handleCommitInfo(CDOCommitInfo commitInfo)